Bug 161799 - lang/pure: [UPDATE] to 0.48 (all-in-one patch)
lang/pure: [UPDATE] to 0.48 (all-in-one patch)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: pav
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-19 10:00 UTC by lichray
Modified: 2012-01-26 20:20 UTC (History)
0 users

See Also:


Attachments
pure_0.48_all.patch (15.09 KB, patch)
2011-10-19 10:00 UTC, lichray
no flags Details | Diff
bsd.pure.mk (2.26 KB, application/octet-stream)
2011-10-26 03:19 UTC, Eitan Adler
no flags Details
pure-0.48-2.patch (3.34 KB, patch)
2011-10-26 03:19 UTC, Eitan Adler
no flags Details | Diff
pure-gtk_1-2.patch (1.75 KB, patch)
2011-10-26 03:19 UTC, Eitan Adler
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lichray 2011-10-19 10:00:18 UTC
	
	Pure language is updated to 0.48; now it depends on mpfr.
	http://groups.google.com/group/pure-lang/browse_thread/thread/b425bb3c3c7aba6?hl=en

	The library version is 8 now, so most of the pure-* bindings (8 in total) are affected. pure-csv is updated to 0.15 at the same time, so this patch consists of 10 patches, and they need to be committed together.

	Port modification:
	A "bsd.pure.mk" file is added. Pure bindings now only needs to include it and say USE_PURE=yes to get compiled.
Comment 1 Edwin Groothuis freebsd_committer 2011-10-19 10:00:30 UTC
Class Changed
From-To: change-request->maintainer-update

Fix category (submitter is maintainer) (via the GNATS Auto Assign Tool)
Comment 2 Eitan Adler freebsd_committer 2011-10-22 04:28:04 UTC
Responsible Changed
From-To: freebsd-ports-bugs->eadler

I'll take it.
Comment 3 Eitan Adler freebsd_committer 2011-10-23 01:19:13 UTC
State Changed
From-To: open->feedback

I would rather have a USE_PURE toggle and some logic in b.p.m instead of 
including a master file from a random port. I could deal with changing 
the ports to use that logic if you approve. (If you have a patch that is 
even better)
Comment 4 Eitan Adler freebsd_committer 2011-10-26 03:19:56 UTC
Let's get this into the audit trail.


---------- Forwarded message ----------
From: Zhihao Yuan <lichray@gmail.com>
Date: Sun, Oct 23, 2011 at 3:03 AM
Subject: Re: ports/161799: lang/pure: [UPDATE] to 0.48 (all-in-one patch)
To: Eitan Adler <eadler@freebsd.org>
Cc: Pav Lucistnik <pav@freebsd.org>


I wrote a bsd.pure.mk for global uses.
Changes:
1. USE_PURE can be either 'yes' or a list of pre-configured pure addons.
For example,
USE_PURE= ffi xml
(now pure-gtk makes use this feature, and I included the new patch here.)
2. Now uses NO_PURE_EXAMPLES instead, which guesses whether the port
is a pure addon.
How to deal with my old patches:
1. s/PURE_NOEXAMPLES/NO_PURE_EXAMPLES/g
2. Cleanup .include lines.


-- 
Eitan Adler
Ports committer
X11, Bugbusting teams
Comment 5 Eitan Adler freebsd_committer 2011-10-26 03:20:57 UTC
State Changed
From-To: feedback->open

portmgr could you please take a look at this as it affects b.p.m? 


Comment 6 Eitan Adler freebsd_committer 2011-10-26 03:20:57 UTC
Responsible Changed
From-To: eadler->portmgr

portmgr could you please take a look at this as it affects b.p.m?
Comment 7 Martin Wilke freebsd_committer 2011-11-19 18:08:53 UTC
Responsible Changed
From-To: portmgr->miwi

i will handle that after 9.0 release.
Comment 8 Martin Wilke freebsd_committer 2012-01-14 19:36:29 UTC
State Changed
From-To: open->feedback

hi, how u plan to deal with that right now? i've seen the discussion 
earlier thats why i ask..
Comment 9 lichray 2012-01-22 20:38:36 UTC
Done it, upgrade everything to 0.51 + 5 new ports. Check these out:
https://gist.github.com/1437023
https://gist.github.com/1437031

-- 
Zhihao Yuan, nickname lichray
The best way to predict the future is to invent it.
___________________________________________________
4BSD -- http://4bsd.biz/
Comment 10 dfilter freebsd_committer 2012-01-26 11:19:05 UTC
pav         2012-01-26 11:18:51 UTC

  FreeBSD ports repository

  Modified files:
    audio/pure-audio     Makefile distinfo 
    databases/pure-sql3  Makefile distinfo 
    devel/pure-ffi       Makefile distinfo 
    devel/pure-gen       Makefile distinfo 
    graphics/pure-gl     Makefile distinfo 
    lang/pure            Makefile distinfo pkg-plist 
    math/pure-rational   Makefile distinfo 
    net/pure-sockets     Makefile distinfo 
    textproc/pure-csv    Makefile distinfo 
    textproc/pure-xml    Makefile distinfo 
    x11-toolkits/pure-gtk Makefile distinfo 
  Added files:
    lang/pure            bsd.pure.mk 
  Log:
  - Update pure to 0.51 and update modules
  
  PR:             ports/161799
  Submitted by:   Zhihao Yuan <lichray@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.3       +4 -20     ports/audio/pure-audio/Makefile
  1.2       +2 -2      ports/audio/pure-audio/distinfo
  1.3       +4 -18     ports/databases/pure-sql3/Makefile
  1.2       +2 -2      ports/databases/pure-sql3/distinfo
  1.3       +4 -20     ports/devel/pure-ffi/Makefile
  1.2       +2 -2      ports/devel/pure-ffi/distinfo
  1.5       +5 -15     ports/devel/pure-gen/Makefile
  1.4       +2 -2      ports/devel/pure-gen/distinfo
  1.2       +4 -16     ports/graphics/pure-gl/Makefile
  1.2       +2 -2      ports/graphics/pure-gl/distinfo
  1.4       +9 -9      ports/lang/pure/Makefile
  1.1       +97 -0     ports/lang/pure/bsd.pure.mk (new)
  1.3       +4 -4      ports/lang/pure/distinfo
  1.3       +4 -2      ports/lang/pure/pkg-plist
  1.2       +7 -8      ports/math/pure-rational/Makefile
  1.2       +2 -2      ports/math/pure-rational/distinfo
  1.3       +4 -23     ports/net/pure-sockets/Makefile
  1.3       +2 -2      ports/net/pure-sockets/distinfo
  1.3       +6 -12     ports/textproc/pure-csv/Makefile
  1.2       +2 -2      ports/textproc/pure-csv/distinfo
  1.2       +3 -19     ports/textproc/pure-xml/Makefile
  1.2       +2 -2      ports/textproc/pure-xml/distinfo
  1.5       +4 -20     ports/x11-toolkits/pure-gtk/Makefile
  1.4       +2 -2      ports/x11-toolkits/pure-gtk/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 pav freebsd_committer 2012-01-26 11:29:28 UTC
State Changed
From-To: feedback->open
Comment 12 pav freebsd_committer 2012-01-26 11:29:28 UTC
Responsible Changed
From-To: miwi->pav

Steal
Comment 13 pav freebsd_committer 2012-01-26 20:18:19 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 14 dfilter freebsd_committer 2012-01-26 20:18:47 UTC
pav         2012-01-26 20:18:33 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
    math                 Makefile 
    x11-toolkits         Makefile 
  Added files:
    devel/pure-readline  Makefile distinfo pkg-descr 
    devel/pure-stldict   Makefile distinfo pkg-descr pkg-plist 
    devel/pure-stldict/files patch-Makefile 
    devel/pure-stlvec    Makefile distinfo pkg-descr pkg-plist 
    math/pure-mpfr       Makefile distinfo pkg-descr 
    x11-toolkits/pure-tk Makefile distinfo pkg-descr 
  Log:
  - Add a couple of pure extensions:
    devel/pure-readline:   A readline interface for the Pure language
    devel/pure-stldict:    Pure interface to C++ STL map/unordered_map
    devel/pure-stlvec:     Pure interface to C++ STL vector
    math/pure-mpfr:        Multiprecision floats for Pure
    x11-toolkits/pure-tk:  A basic interface between Pure and Tcl/Tk
  
  PR:             ports/161799
  Submitted by:   Zhihao Yuan <lichray@gmail.com>
  
  Revision  Changes    Path
  1.4817    +3 -0      ports/devel/Makefile
  1.1       +23 -0     ports/devel/pure-readline/Makefile (new)
  1.1       +2 -0      ports/devel/pure-readline/distinfo (new)
  1.1       +5 -0      ports/devel/pure-readline/pkg-descr (new)
  1.1       +24 -0     ports/devel/pure-stldict/Makefile (new)
  1.1       +2 -0      ports/devel/pure-stldict/distinfo (new)
  1.1       +27 -0     ports/devel/pure-stldict/files/patch-Makefile (new)
  1.1       +6 -0      ports/devel/pure-stldict/pkg-descr (new)
  1.1       +7 -0      ports/devel/pure-stldict/pkg-plist (new)
  1.1       +25 -0     ports/devel/pure-stlvec/Makefile (new)
  1.1       +2 -0      ports/devel/pure-stlvec/distinfo (new)
  1.1       +5 -0      ports/devel/pure-stlvec/pkg-descr (new)
  1.1       +13 -0     ports/devel/pure-stlvec/pkg-plist (new)
  1.758     +1 -0      ports/math/Makefile
  1.1       +24 -0     ports/math/pure-mpfr/Makefile (new)
  1.1       +2 -0      ports/math/pure-mpfr/distinfo (new)
  1.1       +5 -0      ports/math/pure-mpfr/pkg-descr (new)
  1.592     +1 -0      ports/x11-toolkits/Makefile
  1.1       +34 -0     ports/x11-toolkits/pure-tk/Makefile (new)
  1.1       +2 -0      ports/x11-toolkits/pure-tk/distinfo (new)
  1.1       +6 -0      ports/x11-toolkits/pure-tk/pkg-descr (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"